#define noPinDefs
#include <plcLib.h>

// Target System = Adafruit Feather M0 (Grove Shield FeatherWing)

// I/O Connections and Signal Polarities:
// Dual port I/O modules are recommended, due to connector shortage.
// If M5Stack input modules are used (active low), consider enabling the
// '#define negLogicInputs' setting in the 'plclib.cpp' library file.


// Digital inputs
const int X0 = A2;
const int X1 = A3; // A3 = 2nd pin on A2 connector
const int X2 = A4;
const int X3 = A5; // A5 = 2nd pin on A4 connector

//Analogue inputs (ADC)
const int AD0 = A0;
const int AD1 = A1;  // A1 = 2nd pin on A0 connector

// Digital outputs (Grove pin numbers differ from Feather pins) 
const int Y0 = 5; // Y0 connected to Grove D2
const int Y1 = 6; // Y1 = 2nd pin on D2 connector
const int Y2 = 9; // Y2 connected to Grove D4
const int Y3 = 10; // D5 = 2nd pin on Grove D4 connector

void customIO() {

  pinMode(Y0, OUTPUT);
  pinMode(Y1, OUTPUT);
  pinMode(Y2, OUTPUT);
  pinMode(Y3, OUTPUT);

  pinMode(X0, INPUT);
  pinMode(X1, INPUT);
  pinMode(X2, INPUT);
  pinMode(X3, INPUT);

}
// Bare Minimum - Single bit digital input and output

void setup() {
 customIO();
}

void loop() {
  din(X0);      // Read digital input X0
  dout(Y0);     // Send to digital output Y0
}

