#define noPinDefs
#include <plcLib.h>

// Target System = Maker Pi Pico Base

// Built-in inputs are active low, so consider
// enabling the '#define negLogicInputs' setting
// in the plcLib.cpp file.

// Digital inputs
const int X0 = 20;  // Built-in switch (active low)
const int X1 = 21;  // Built-in switch (active low)
const int X2 = 22;  // Built-in switch (active low)
const int X3 = 1;   // Grove 1, 1st pin
const int X4 = 0;   // Grove 1, 2nd pin
const int X5 = 3;   // Grove 2, 1st pin
const int X6 = 2;   // Grove 2, 2nd pin

// Grove 3 is used with I2C devices

//Analogue inputs (ADC)
const int AD0 = 27; // Grove 6, 1st pin
const int AD1 = 26; // Grove 6, 2nd pin

// Digital outputs
const int Y0 = 7;   // Grove 4, 1st pin
const int Y1 = 6;   // Grove 4, 2nd pin
const int Y2 = 9;   // Grove 5, 1st pin
const int Y3 = 8;   // Grove 5, 2nd pin

void customIO() {

  pinMode(Y0, OUTPUT);
  pinMode(Y1, OUTPUT);
  pinMode(Y2, OUTPUT);
  pinMode(Y3, OUTPUT);

  pinMode(X0, INPUT);
  pinMode(X1, INPUT);
  pinMode(X2, INPUT);
  pinMode(X3, INPUT);
  pinMode(X4, INPUT);
  pinMode(X5, INPUT);
  pinMode(X6, INPUT);

}
// Bare Minimum - Single bit digital input and output

void setup() {
 customIO();
}

void loop() {
  din(X0);      // Read digital input X0
  dout(Y0);     // Send to digital output Y0
}

