#define noPinDefs
#include <MultiFuncShield.h>
#include <plcLib.h>

// Target System = Arduino Uno (Multifunction shield))

// Digital Signal Polarities:
// Digital inputs and outputs are active low so consider enabling the
// '#define negLogicInputs' and '#define negLogicOutputs'
// settings in the 'plclib.cpp' library file.

// Digital inputs
const int X0 = A1;
const int X1 = A2;
const int X2 = A3;
const int X3 = 5;  // External Grove push-button connected to pin 5 (optional)

//Analogue inputs (ADC)
const int AD0 = A0;
const int AD1 = A5;  // External Grove potentiometer connected to A5 (optional)

// Digital outputs
const int Y0 = 10;
const int Y1 = 11;
const int Y2 = 12;
const int Y3 = 13;

void customIO() {

  MFS.initialize();    // initialize multi-function shield library

  MFS.write("    ");   // Blank display

  pinMode(Y0, OUTPUT);
  pinMode(Y1, OUTPUT);
  pinMode(Y2, OUTPUT);
  pinMode(Y3, OUTPUT);

  pinMode(X0, INPUT_PULLUP);
  pinMode(X1, INPUT_PULLUP);
  pinMode(X2, INPUT_PULLUP);
  pinMode(X3, INPUT_PULLUP);

}
// Bare Minimum - Single bit digital input and output

void setup() {
 customIO();
}

void loop() {
  din(X0);      // Read digital input X0
  dout(Y0);     // Send to digital output Y0
}

